@import '../colors';

.info {
  display: flex;
  line-height: 36px;
  vertical-align: middle;

  .identifier {
    padding: 0px 4px;
    align-content: flex-start;
  }

  .reference {
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    vertical-align: middle;
    flex: 1.5;
    padding: 0px 4px;

    .link {
      cursor: pointer;
      color: @blue;
    }

    .badge-live {
      background-color: @blue;
      border-radius: 3px;
      opacity: 0.8;
      color: @white;
      margin-left: 5px;
      padding: 3px;
      font-size: 0.8em;
    }
  }

  .created {
    flex: 1.5;
  }

  .duration {
    flex: 1.5;
    align-content: flex-end;
  }

  .steps-count {
    flex: 1;
    align-content: flex-end;
    padding: 0px 6px;
    display: inline-flex;
    text-align: right;

    .count {
      min-width: 50px;
    }
  }

  .user {
    flex: 1;
  }

  .status {
    font-weight: bold;
    padding: 0 10px;
    width: 100px;
    display: block;
    text-align: center;

    mat-chip {
      text-align: center;
      margin-right: 0;
      margin-left: auto;
      opacity: 0.9;
    }

    .error {
      background-color: @red !important;
    }

    .completed {
      background-color: @green !important;
    }

    .stopped {
      background-color: @yellow !important;
    }

    .pending {
      background-color: @purple !important;
    }
  }

  .details {
    align-content: flex-end;

    a {
      display: inline-block;
      height: 24px;
      align-items: center;
      justify-content: space-between;
      color: inherit;
      text-decoration: inherit;
    }
  }

  .details {
    padding-bottom: 2px;
    button {
      min-width: 60px;
      width: 60px;
    }
  }
}

.steps {
  display: table !important;
  width: 100%;
  table-layout: fixed;
}

.step {
  display: table-cell;
  vertical-align: bottom;

  .header {
    display: flex;

    .header-content {
      display: flex;
      width: 100%;
      height: 24px;
      line-height: 24px;

      .icon {
        align-content: flex-start;
        padding: 0px 4px;
      }

      .name {
        flex: 1;
        width: 100%;
        text-align: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }

      .jobs-count {
        flex: 1;
        align-content: flex-end;
        padding: 0px 4px;
      }
    }
  }
}

.v-align-middle {
  vertical-align: middle;
}
